classification
Title: __future__.barry_as_FLUFL documented as mandatory for Python 3.9
Type: Stage: resolved
Components: Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: ChrisRands, barry, benjamin.peterson, brett.cannon, vstinner
Priority: normal Keywords: patch

Created on 2018-12-18 15:56 by ChrisRands, last changed 2018-12-20 05:39 by benjamin.peterson. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 11218 merged python-dev, 2018-12-18 21:01
Messages (5)
msg332068 - (view) Author: (ChrisRands) * Date: 2018-12-18 15:56
A festive bug report:

>>> from __future__ import barry_as_FLUFL
>>> barry_as_FLUFL.mandatory
(3, 9, 0, 'alpha', 0)

So barry_as_FLUFL is documented to become mandatory for Python 3.9. Note that mandatory here means that the feature becomes permanent without the __future__ import and cannot be switched off. In this case, this means the '!=' operator becomes a SynaxError, with obvious consequences for existing python code.

Now of course this is just an Easter egg, but given that 3.9 is surely on the horizon now, isn't it time to modify the joke, or maybe I'm missing the point and the joke is on me?
msg332069 - (view) Author: (ChrisRands) * Date: 2018-12-18 16:05
SO question where this derived from:

https://stackoverflow.com/questions/53830960/can-all-future-statements-be-removed-from-a-python-code-without-affecting-i
msg332075 - (view) Author: Barry A. Warsaw (barry) * (Python committer) Date: 2018-12-18 18:47
Let's extend the "joke" and make it mandatory in Python 4! :)
msg332148 - (view) Author: Barry A. Warsaw (barry) * (Python committer) Date: 2018-12-19 16:19
New changeset 55cc34500e5abbfedb89adc95e3f94d53c544933 by Barry Warsaw (Chris Rands) in branch 'master':
bpo-35526: make __future__.barry_as_FLUFL mandatory for Python 4.0 (#11218)
https://github.com/python/cpython/commit/55cc34500e5abbfedb89adc95e3f94d53c544933
msg332174 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2018-12-20 05:39
Good thing we don't need a barry_as_GUIDO alias.
History
Date User Action Args
2018-12-20 05:39:47benjamin.petersonsetnosy: + benjamin.peterson
messages: + msg332174
2018-12-19 16:20:03barrysetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2018-12-19 16:19:41barrysetmessages: + msg332148
2018-12-18 21:17:54vstinnersetnosy: + vstinner
2018-12-18 21:01:19python-devsetkeywords: + patch
stage: patch review
pull_requests: + pull_request10454
2018-12-18 18:47:07barrysetmessages: + msg332075
2018-12-18 17:01:19eric.snowsetnosy: + barry, brett.cannon
2018-12-18 16:05:27ChrisRandssetmessages: + msg332069
2018-12-18 15:56:04ChrisRandscreate